<html lang="pt-BR"> <!--Lembrar sempre que essa é a página 2!!!-->
    <head>
        <style>
            *{margin :0;padding: 0;box-sizing: border-box;}
        </style>
        <link rel="stylesheet" href="home.css">
        <link rel='stylesheet' type='text/css' media='screen' href='main.css'> <!--Link para o codigo css das nuvens-->
        <link
          href="https://fonts.google.com/specimen/Special+Elite"
          rel="stylesheet" 
        /> <!-- para mudar o estilo da letra pegando a fonte no google-->
    </head>
    <body> 
        <div id="formulario">
            <a href="Sobre o Site.html">
            <input type="text1" name="perfil" value= "  SOBRE O SITE"> 
            </a>
        </div>
        <div id="background-wrap">
        <div class="x1"><div class="nuvem"></div></div>
        <div class="x2"><div class="nuvem"></div></div>
        <div class="x5"><div class="nuvem"></div></div>
        <div class="x3"><div class="nuvem"></div></div>
        <div class="x4"><div class="nuvem"></div></div>
    </div>
    <style>
        * {
          margin: 0;
          padding: 0;
          box-sizing: border-box;
      }
      body {
          display:flex;
          align-items:center;
          justify-content: center;
          height: 100vh; /*vh é uma viewport; altura*/
          color: rgb(17, 148, 224);
      } 

      .line {
          border-right: 2px solid white;
          font-family: 'Special Elite', monospace;
          font-size: 25pt;
          margin: 0 auto;
          color: rgb(17, 148, 224);
          box-shadow: rgb(0, 0, 0);
          white-space: nowrap; /*Usando o nowrap, evita a quebra de linha e espaço!*/
          overflow: hidden; /*Não tem largura (coloquei width 0), então aqui vai ficar escondido, vai esconder a feiura kkk*/
      }
       
      .typing-animation {
          animation: piscandinho 500ms infinite normal, 
          digitandinho 4s steps(20) 1s normal; /*Usando o steps para quebrar quadro a quadro a animação =)*/
      }

      @keyframes digitandinho{
          from { 
              width: 0;
          }
          to {
              width: 18em;
          }
      }

      @keyframes piscandinho{ /*Essa é uma tecnica do css para fazer animações e determinaar os estados da mesma */
        from {
            border-right-color: rgba(255, 255, 255, .75);
        }
        to { 
            border-right-color: transparent;
        } /*Isso é para fazer o marcador do mouse piscar*/
      }
    </style>
      <p class="line typing-animation">UM LUGAR FEITO DE NUVENS...</p>

    </body>
</html>

